Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class SessionPropertyElement

    java.lang.Object
      |
      +--com.compoze.collab.SessionPropertyElement

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  SessionOption, SessionProperty

public abstract class SessionPropertyElement
extends java.lang.Object
implements java.io.Serializable

A superclass of classes used for the session properties.

See Also:
  Serialized Form

Method Summary
`java.lang.String` | `getAdminDescription(java.util.Locale locale)` Gets the administrator description of the property.
`java.lang.String` | `getInternalName()` Gets the internal name of the property, as supplied when specifying properties to open a session with.
`protected java.lang.String` | `getResource(java.util.Locale locale, java.lang.String sKey)` Gets a resource.
`java.lang.String` | `getShortUserDescription(java.util.Locale locale)` Gets the short user description of the property.
`java.lang.String` | `getUserDescription(java.util.Locale locale)` Gets the full user description of the property.
`java.lang.String` | `getUserName(java.util.Locale locale)` Gets the name of the property as displayable to the user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInternalName

    public java.lang.String getInternalName()

  Gets the internal name of the property, as supplied when specifying properties to open a session with.
  Returns:
    the name

### getAdminDescription

    public java.lang.String getAdminDescription(java.util.Locale locale)

  Gets the administrator description of the property.
  Parameters:
    `locale` - the locale
  Returns:
    the admin description

### getShortUserDescription

    public java.lang.String getShortUserDescription(java.util.Locale locale)

  Gets the short user description of the property.
  Parameters:
    `locale` - the locale
  Returns:
    the short user description

### getUserDescription

    public java.lang.String getUserDescription(java.util.Locale locale)

  Gets the full user description of the property.
  Parameters:
    `locale` - the locale
  Returns:
    the full user description

### getUserName

    public java.lang.String getUserName(java.util.Locale locale)

  Gets the name of the property as displayable to the user.
  Parameters:
    `locale` - the locale
  Returns:
    the user name for the property

### getResource

    protected java.lang.String getResource(java.util.Locale locale,
                                           java.lang.String sKey)

  Gets a resource.
  Parameters:
    `locale` - the locale
    `sKey` - the key
  Returns:
    the resource

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.